Update User
Update a User’s attributes.
/send endpoint and include that User’s user_id. This adds the new factor in an unverified state. If the User completes authentication within 5 minutes of the /send request, the factor becomes verified and remains on the User. If not, the factor is removed, and future login attempts with that phone number create a new User.This flow helps prevent account takeover.Authorizations
Path Parameters
Body
Request type
The trusted_metadata field contains an arbitrary JSON object of application-specific data. See the Metadata reference for complete field behavior details.
The untrusted_metadata field contains an arbitrary JSON object of application-specific data. Untrusted metadata can be edited by end users directly via the SDK, and cannot be used to store critical information. See the Metadata reference for complete field behavior details.
Roles to explicitly assign to this User. See the RBAC guide for more information about role assignment.
Response
Successful response
The user object affected by this API call. See the Get user endpoint for complete response field details.